Bug 1416002 (CVE-2017-5545) - CVE-2017-5545 libplist: Out-of-bounds heap buffer read in plistutil
Summary: CVE-2017-5545 libplist: Out-of-bounds heap buffer read in plistutil
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5545
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1416008
Blocks: 1416007
TreeView+ depends on / blocked
 
Reported: 2017-01-24 10:57 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 08:19:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-24 10:57:07 UTC
The main function in plistutil.c in libimobiledevice libplist allows attackers to obtain sensitive information from process memory or cause a denial of service (buffer over-read) via Apple Property List data that is too short.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/87

Upstream patch:

https://github.com/libimobiledevice/libplist/commit/7391a506352c009fe044dead7baad9e22dd279ee

Comment 1 Andrej Nemec 2017-01-24 10:58:54 UTC
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1416008]


Note You need to log in before you can comment on or make changes to this bug.